Bug 681495 - wrong context for ~/.ecryptfs/Private.{mnt,sig}
Summary: wrong context for ~/.ecryptfs/Private.{mnt,sig}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-02 11:32 UTC by Paolo Bonzini
Modified: 2011-03-23 05:05 UTC (History)
3 users (show)

Fixed In Version: ecryptfs-utils-86-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-23 05:05:39 UTC
Type: ---


Attachments (Terms of Use)
patch to restore contexts (710 bytes, patch)
2011-03-02 11:32 UTC, Paolo Bonzini
pbonzini: review?
Details | Diff

Description Paolo Bonzini 2011-03-02 11:32:18 UTC
Description of problem:
Private.mnt and Private.sig are created initially via mktemp and then moved to their destination.  This leaves them with a home_tmp_t context.

The attached patch fixes it.

Version-Release number of selected component (if applicable):
86-1.fc15

How reproducible:
100%

Steps to Reproduce:
1. Run ecryptfs-setup-private
2. Add this to /etc/pam.d/postlogin:

   auth        optional      pam_ecryptfs.so unwrap
   session     optional      pam_ecryptfs.so unwrap

3. Logout and login.
  
Actual results:
SELinux alert regarding ~/.ecryptfs/Private.mnt.

Expected results:
No alert.

Additional info:
Patch being sent upstream.

Comment 1 Paolo Bonzini 2011-03-02 11:32:53 UTC
Created attachment 481841 [details]
patch to restore contexts

Comment 2 Fedora Update System 2011-03-02 15:10:05 UTC
Package ecryptfs-utils-86-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ecryptfs-utils-86-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/ecryptfs-utils-86-1.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-02 15:10:08 UTC
Package ecryptfs-utils-86-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ecryptfs-utils-86-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/ecryptfs-utils-86-1.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-22 18:54:13 UTC
ecryptfs-utils-86-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-03-23 05:05:35 UTC
ecryptfs-utils-86-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.